# formula.h File Reference

`#include <string>`
`#include <map>`
`#include <list>`
`#include <stdexcept>`
`#include "isotope.h"`
`#include "macros.h"`
`#include "value.h"`

Go to the source code of this file.

## Namespaces

namespace | gcu

## Classes

class | gcu::parse_error
class | gcu::FormulaElt
class | gcu::FormulaAtom
class | gcu::FormulaBlock
class | gcu::FormulaResidue
class | gcu::Formula

## Enumerations

enum | gcu::FormulaParseMode

## Detailed Description

Definition in file formula.h.